Bug 37551 - installer crashed when using harddrive install method
installer crashed when using harddrive install method
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 03:43 EDT by Juergen Weiss
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-08 14:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file that produces the error (6.06 KB, text/plain)
2001-04-25 11:02 EDT, Juergen Weiss
no flags Details

  None (edit)
Description Juergen Weiss 2001-04-25 03:43:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [de] (X11; U; Linux 2.2.16-22smp i686)


When using kickstart to install a machine whre the installation tree is
located on a 
partition (ext2) I got the error message on VC3:

no install method specified for kickstart

the kickstart file contains the following line

harddrive --partition hdg1 --dir /RedHat/7.1

Remark: When using the same kickstartfile with installation method nfs from
a different
nfs-server there are no problem

Reproducible: Always
Steps to Reproduce:
1.  mount a partition on /mnt/Redhat/7.1
2.  copy both installation CDs to this directory
3.  try a kickstart install with installation method "harddrive"
	

Actual Results:  error message:  no install method specified for kickstart

Expected Results:  installation should take the partition as install tree
Comment 1 Brent Fox 2001-04-25 09:14:00 EDT
Can you attach your kickstart file?  That way, I can do a test with your exact file.
Comment 2 Juergen Weiss 2001-04-25 11:02:02 EDT
Created attachment 16385 [details]
kickstart file that produces the error
Comment 3 Brent Fox 2001-05-08 14:31:54 EDT
Your kickstart file (modified for my partitions, of course) worked for me just
fine.  Here's the one I used:

lang de_DE
network --bootproto dhcp
harddrive  --dir /i386 --partition hda5
#harddrive --partition hda5 --dir /i386
keyboard "de-latin1-nodeadkeys"
zerombr yes
part /          --onpart hda1
part swap       --onpart hda6
part /seawolf   --onpart hda5 --noformat
install
reboot
mouse genericps/2 --emulthree
timezone Europe/Berlin
xconfig
auth --useshadow --enablemd5
rootpw dummypw
lilo --location mbr
%packages
%post

Note You need to log in before you can comment on or make changes to this bug.